On Fri 2018-02-09 09:12:57 -0800, W. Trevor King wrote:
> On Thu, Feb 08, 2018 at 11:32:11PM -0500, Daniel Kahn Gillmor wrote:
>> nmbug and notmuch-report are developer tools.  It's 2018, and all
>> developers should have python3 available.
>
> From PEP 394 [1]:
>
>   One exception to this is scripts that are deliberately written to be
>   source compatible with both Python 2.x and 3.x.  Such scripts may
>   continue to use python on their shebang line without affecting their
>   portability.
>
> So while everyone who uses nmbug may have python3, I don't see a need
> to pick sides.  Is there something using python3 gets you for nmbug
> that you miss with python2?

Yep, i get to remove python 2 from my operating system :)

Smaller installed codebase, fewer bugs.  There are only two outstanding
holdovers for me, and nmbug is one of them.

     --dkg
_______________________________________________
notmuch mailing list
notmuch@notmuchmail.org
https://notmuchmail.org/mailman/listinfo/notmuch

Reply via email to